summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2020-07-23 07:50:37 +0200
committerMichał Górny <mgorny@gentoo.org>2020-07-24 13:39:47 +0200
commitc3003bdf9efb8997e2818843145e01f323aa4def (patch)
tree651a79cfdbbc37c1b5ec20a0c2bbaf97a0d8e9c3 /sys-kernel
parentsys-kernel/gentoo-kernel: Bump to 5.4.53 (diff)
downloadgentoo-c3003bdf9efb8997e2818843145e01f323aa4def.tar.gz
gentoo-c3003bdf9efb8997e2818843145e01f323aa4def.tar.bz2
gentoo-c3003bdf9efb8997e2818843145e01f323aa4def.zip
sys-kernel/vanilla-kernel: Bump to 5.7.10
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'sys-kernel')
-rw-r--r--sys-kernel/vanilla-kernel/Manifest1
-rw-r--r--sys-kernel/vanilla-kernel/vanilla-kernel-5.7.10.ebuild77
2 files changed, 78 insertions, 0 deletions
diff --git a/sys-kernel/vanilla-kernel/Manifest b/sys-kernel/vanilla-kernel/Manifest
index 21332360800..1c6c8bdcb80 100644
--- a/sys-kernel/vanilla-kernel/Manifest
+++ b/sys-kernel/vanilla-kernel/Manifest
@@ -18,6 +18,7 @@ DIST linux-5.6.19.tar.xz 111829024 BLAKE2B 7c0afa0e3d322314992022272614973311a8d
DIST linux-5.6.8-arch1.amd64.config 246166 BLAKE2B e749472cf4bcd1fae509bf524367106c07111f5d385b5cacf335fe03188c30c184e3535603de2b855f81538fa6fb09cedfec16ff02db5b5583a90e5cb150dba5 SHA512 873275e0ba75fb5670ac7f90abfb16ab912b1a94e5f8f39845283230763118d244c1b02e33f1b05b5d86fce90cd274c944725465dabf2dd0e79fa735fabe4d4f
DIST linux-5.6.8-arch1.i686.config 245339 BLAKE2B 746b39cc8d8d880eadd3a04eaed7fa978ec73a412428fbd99e7e3543ac722a86a004b5fc31b4a307e8f4bb706224e032f22681dad8dea0340652cb4aade0d65b SHA512 a97487a842344e8dbda758b602c2b2095641d3e504c866e12afefa6744cbea39fe0d23900b0749cf4896160baf2bcde5a77a9614b23132665f1c7e3a580c7ca6
DIST linux-5.7.1-arch1.amd64.config 248550 BLAKE2B 438ddcb212ffd5c257da2ad00eb9425e21f938ec8958f781af067c6d4eb45077c27d6f2aaf952fa728fd0c381e6476d1839dbc1c2074796194669591c3a17ee2 SHA512 db854554b8b8138ac44488ed8656bc620a01f361f3a6006cf0b8c7e3513c0d7b0f2be8534694b063af33ccaacdf95bd1f824470f4509a274f7f52c5b67e0f723
+DIST linux-5.7.10.tar.xz 112722840 BLAKE2B 5b76a6b99ea0b1e38278db62951147edd2f0dcbc7c28d6fbf955beaa25344c62ee5b4d8c1c80e9e980a44d77b31dfc152b7e1d0fe0e57f5968f25b0d8a6d2dca SHA512 9568f87d593ae56dee4c7b8594f495a9c971558a3c73de8bb27336877bd5e71500ec08d880c5854e52ce338775bb9c30a98c1b9cdb789dbedba95bd3d86362ca
DIST linux-5.7.2-arch1.i686.config 247685 BLAKE2B 28f7e9cdada8876fb07523cf657a2cda175bfab7c3a57d7e5cba06b6158fde634efa4e59ff318fb21d63564245998bfe8c3b916985f078530ca57813c1d642e9 SHA512 6b16f1583739c4534b0ef3898f1bf02d47b6375867f34bf4a5171fac4cd19ce87b17ad430860e229740cf59661594890f32c42734584ddb7cdaca63cb3bc2336
DIST linux-5.7.4.tar.xz 112684152 BLAKE2B 0cd2e4f22491709ec91c804add85a817464a90fab4118c7ee1d38cb019a687d719591db025ea83a1421d08ae6e870b813b14aac34692441236328534a691d04b SHA512 cbd4088816abace8f9c3687ea23836d3bc4084cdc8568b01bf9f41ac80a9b6acc0566246d272876f575a5d1b1f6791f7e2ba90bc39fa53a08bdc871d632ac392
DIST linux-5.7.5.tar.xz 112700152 BLAKE2B 8b2bcb3c11a5bee4cef117dab558b82f06e818ec9d66cbb567b9d9118ac657f168eea84d5bbd67c9fd579f7537177e184b4d23e32a8314e4860c31b68ad3a923 SHA512 a7c1ff24adbcfc08828f257accc4da51582348a46bbec5339fbe3c62520650ed1b1cd0886d94a475e43c8a84dbd693cf44c9366532ff8435db3c176eedeba000
diff --git a/sys-kernel/vanilla-kernel/vanilla-kernel-5.7.10.ebuild b/sys-kernel/vanilla-kernel/vanilla-kernel-5.7.10.ebuild
new file mode 100644
index 00000000000..079fc98c2af
--- /dev/null
+++ b/sys-kernel/vanilla-kernel/vanilla-kernel-5.7.10.ebuild
@@ -0,0 +1,77 @@
+# Copyright 2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit kernel-build
+
+MY_P=linux-${PV}
+# https://koji.fedoraproject.org/koji/packageinfo?packageID=8
+CONFIG_VER=5.7.8
+CONFIG_HASH=14d239184a721485a823f30f5aede1c6190558ad
+
+DESCRIPTION="Linux kernel built from vanilla upstream sources"
+HOMEPAGE="https://www.kernel.org/"
+SRC_URI+=" https://cdn.kernel.org/pub/linux/kernel/v$(ver_cut 1).x/${MY_P}.tar.xz
+ amd64? (
+ https://src.fedoraproject.org/rpms/kernel/raw/${CONFIG_HASH}/f/kernel-x86_64-fedora.config
+ -> kernel-x86_64-fedora.config.${CONFIG_VER}
+ )
+ x86? (
+ https://src.fedoraproject.org/rpms/kernel/raw/${CONFIG_HASH}/f/kernel-i686-fedora.config
+ -> kernel-i686-fedora.config.${CONFIG_VER}
+ )"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="debug"
+REQUIRED_USE="
+ arm? ( savedconfig )
+ arm64? ( savedconfig )"
+
+RDEPEND="
+ !sys-kernel/vanilla-kernel-bin:${SLOT}"
+BDEPEND="
+ debug? ( dev-util/dwarves )"
+
+pkg_pretend() {
+ ewarn "Starting with 5.7.9, Distribution Kernels are switching from Arch"
+ ewarn "Linux configs to Fedora. Please keep a backup kernel just in case."
+
+ kernel-install_pkg_pretend
+}
+
+src_prepare() {
+ default
+
+ # prepare the default config
+ case ${ARCH} in
+ amd64)
+ cp "${DISTDIR}/kernel-x86_64-fedora.config.${CONFIG_VER}" .config || die
+ ;;
+ x86)
+ cp "${DISTDIR}/kernel-i686-fedora.config.${CONFIG_VER}" .config || die
+ ;;
+ arm|arm64)
+ return
+ ;;
+ *)
+ die "Unsupported arch ${ARCH}"
+ ;;
+ esac
+
+ local config_tweaks=(
+ # shove arch under the carpet!
+ -e 's:^CONFIG_DEFAULT_HOSTNAME=:&"gentoo":'
+ # we do support x32
+ -e '/CONFIG_X86_X32/s:.*:CONFIG_X86_X32=y:'
+ # disable signatures
+ -e '/CONFIG_MODULE_SIG/d'
+ -e '/CONFIG_SECURITY_LOCKDOWN/d'
+ )
+ use debug || config_tweaks+=(
+ -e '/CONFIG_DEBUG_INFO/d'
+ )
+ sed -i "${config_tweaks[@]}" .config || die
+}